<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserStockLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_stock_logs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_stock_id')->index();
            $table->unsignedBigInteger('identity_id')->index();
            $table->string('type')->comment('类型');
            $table->integer('variable');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_stock_logs');
    }
}
